Bug 120903 - i686 4G/4G Kernel Problem Tracking
i686 4G/4G Kernel Problem Tracking
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: Tracking
Depends On:
  Show dependency treegraph
Reported: 2004-04-14 22:31 EDT by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-15 07:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2004-04-14 22:31:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040404 Firefox/0.8

Description of problem:

4G/4G memory split was enabled in all i686 FC2 development kernels
after version .118.  This has caused several problems with various
kernel components that need to be individually isolated, confirmed and
fixed.  This is the master tracking bug for both suspected and
confirmed 4G/4G problems.

Please nominate bug numbers as comments within this report, and add it
to the Bug dependency list after they are confirmed 4G/4G problems.

For your convenience I will try to maintain the latest FC2 devel i686
kernels rebuilt here with 4G/4G disabled in order to aid end-user
testing.  Please test both the official kernel and this rebuilt test
kernel and report any differences in behavior.
Comment 2 Arjan van de Ven 2004-04-15 07:29:28 EDT
there is no such thing as "the" 4g/4g bug nor is 4g/4g broken so this
tracking bug makes no sense really.
Comment 3 cam 2004-04-17 16:14:54 EDT
I have a problem that was previously diagnosed as this one, if it is
not this problem, please let me know what extra info you need to
classify the bug.

I have cold booted my notebook with no PCMCIA devices (ie. without the
card which invokes the previously noted buggy hermes driver). I have
booted without rhgb and with initdefault 3 so as to never run X.

The first suspend is successful and reports some messages, namely:

divert: not allocating divert_blk for non-ethernet device sit0
spin_lock(arch/i386/kernel/time.c:0232be08) already locked by
spin_unlock(arch/i386/kernel/time.c:0232be08) not locked
blk: queue 19d93c00, I/O limit 4095Mb (mask 0xffffffff)

I can resume OK 50% of the time it seems.

On the second suspend / resume the machine starts the fan and hangs.
Starting the fan is what happens on a cold boot.

lspci output:
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host
bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:0b.0 Ethernet controller: Accton Technology Corporation EN-1216
Ethernet Adapter (rev 11)
00:0c.0 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus
00:0c.1 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus
00:0c.2 FireWire (IEEE 1394): Texas Instruments PCI4451 IEEE-1394
00:0e.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1
(rev 12)
00:0e.1 Communication controller: ESS Technology ESS Modem (rev 12)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility
P/M AGP 2x (rev 64)

Other kernels in the 2.4 series work well.

Note You need to log in before you can comment on or make changes to this bug.